package com.steering.pss.sale.order.qualityDesign.Dao.factory;

import com.steering.pss.sale.order.qualityDesign.Dao.idao.*;
import com.steering.pss.sale.order.qualityDesign.Dao.imp.*;

/**
 * bean工厂接口
 * 
 * @author Administrator
 */
public class FactoryDao {

	private static MscWaterDaoImp mscWaterDaoImp = new IMscWaterDao();

	/**
	 * 交付水压标准
	 * 
	 * @return MscWaterDaoImp
	 */
	public static MscWaterDaoImp getMscWaterDaoImp() {
		return mscWaterDaoImp;
	}

	private static MscProcessingDaoImp mscProcessingDaoImp = new IMscProcessingDao();

	/**
	 * 加工标准
	 * 
	 * @return MscProcessDaoImp
	 */
	public static MscProcessingDaoImp getMscProcessingDaoImp() {
		return mscProcessingDaoImp;
	}

	private static QualityPrePDaoImp qualityPrePDao = new IQualityPrePDao();

	/**
	 * 预处理
	 * 
	 * @return
	 */
	public static QualityPrePDaoImp getQualityPrePDaoImp() {
		return qualityPrePDao;
	}

	private static StatusDaoImp statusDao = new IStatusDao();

	/**
	 * 设计状态
	 * 
	 * @return
	 */
	public static StatusDaoImp getStatusDaoImp() {
		return statusDao;
	}

	private static MscDaoImp mscDao = new IMscDao();

	/**
	 * 冶金規范码
	 * 
	 * @return
	 */
	public static MscDaoImp getMscDaoImp() {
		return mscDao;
	}

	private static DeliveryStdDaoImp deliverStdDao = new IDeliveryStdDao();

	/**
	 * 交货标准
	 * 
	 * @return DeliveryStdDaoImp
	 */
	public static DeliveryStdDaoImp getDeliveryStdDaoImp() {
		return deliverStdDao;
	}

	private static ProDucDaoImp proDucDao = new IProDucDao();

	/**
	 * 制程
	 * 
	 * @return ProDucDaoImp
	 */
	public static ProDucDaoImp getProDucDaoImp() {
		return proDucDao;
	}

	private static GradeDaoImp gradeDao = new IGradeDao();

	/**
	 * 钢种
	 * 
	 * @return GradeDaoImp
	 */
	public static GradeDaoImp getGradeDaoImp() {
		return gradeDao;
	}

	private static ProCycleDaoImp prcoductCycleDao = new IProCycleDao();

	/**
	 * 生产周期bean
	 * 
	 * @return ProductCycleDaoImp
	 */
	public static ProCycleDaoImp getProductCycleDaoImp() {
		return prcoductCycleDao;
	}

	private static CustSpecialAskDaoImp custSpecialAskDaoImp = new ICustSpecialAskDao();

	/**
	 * 客户特殊要求
	 * 
	 * @return CustSpecialAskDaoImp
	 */
	public static CustSpecialAskDaoImp getCustSpecialAskDaoImp() {
		return custSpecialAskDaoImp;
	}

	private static OperationDaoImp operationDaoImp = new IOperationDao();

	/**
	 * 工序
	 * 
	 * @return OperationDaoImp
	 */
	public static OperationDaoImp getOperationDaoImp() {
		return operationDaoImp;
	}

	private static OperationPointDaoImp operationPointDaoImp = new IOperationPointDao();

	/**
	 * 工序点
	 * 
	 * @return OperationPointDaoImp
	 */
	public static OperationPointDaoImp getOperationPointDaoImp() {
		return operationPointDaoImp;
	}

	private static AddAskDaoImp addAskDaoImp = new IAddAskDao();

	/**
	 * 合同附加要求
	 * 
	 * @return AddAskDaoImp
	 */
	public static AddAskDaoImp getAddAskDaoImp() {
		return addAskDaoImp;
	}

	private static CreateSpecLineDaoImp specLineDaoImp = new ICreateSpecLineDao();

	/**
	 * 产线与规格
	 * 
	 * @return CreateSpecLineDaoImp
	 */
	public static CreateSpecLineDaoImp getCreateSpecLineDaoImp() {
		return specLineDaoImp;
	}

	private static MscJGDaoImp mscJGDaoImp = new IMscJGDao();

	/**
	 * 接箍码
	 * 
	 * @return MscJGDaoImp
	 */
	public static MscJGDaoImp getMscJGDaoImp() {
		return mscJGDaoImp;
	}

	private static MscBLDaoImp mscBLDaoImp = new IMscBLDao();

	/**
	 * 备料码
	 * 
	 * @return MscBLDaoImp
	 */
	public static MscBLDaoImp getMscBLDaoImp() {
		return mscBLDaoImp;
	}

	private static MpsDaoImp mpsDaoImp = new IMpsDao();

	/**
	 * MPS
	 * 
	 * @return
	 */
	public static MpsDaoImp getMpsDaoImp() {
		return mpsDaoImp;
	}

	private static LengthCalculateDaoImp lengthCalculateDaoImp = new ILengthCalculateDao();

	public static LengthCalculateDaoImp getLengthCalculateDaoImp() {
		return lengthCalculateDaoImp;
	}

	private static DeptSelectDaoImp deptSelectDaoImp = new IDeptSelectDao();

	/**
	 * 管理部门
	 * 
	 * @return
	 */
	public static DeptSelectDaoImp getDeptSelectDaoImp() {
		return deptSelectDaoImp;
	}

	private static ProLineManageDaoImp proLineManageDaoImp = new IProLineManageDao();

	/**
	 * 适用产线
	 * 
	 * @return ProLineManageDaoImp
	 */
	public static ProLineManageDaoImp getProLineManageDaoImp() {
		return proLineManageDaoImp;
	}

	private static SpecManageDaoImp specManageDaoImp = new ISpecManageDao();

	/**
	 * 规格管理
	 * 
	 * @return SpecManageDaoImp
	 */
	public static SpecManageDaoImp getSpecManageDaoImp() {
		return specManageDaoImp;
	}

	private static BLQualityPreDaoImp bLQualityPreDaoImp = new BLIQualityPreDao();

	/**
	 * 备料技术评审预处理
	 * 
	 * @return BLQualityPreDaoImp
	 */
	public static BLQualityPreDaoImp getBLQualityPreDaoImp() {
		return bLQualityPreDaoImp;
	}

	private static StandardDaoImp standardDaoImp = new StandardDao();

	/**
	 * 新增规格生成物料编码类
	 * 
	 * @return
	 */
	public static StandardDaoImp getStandardDaoImp() {
		return standardDaoImp;
	}

	private static MscChemDaoImp chemDaoImp = new IMscChemDao();

	/**
	 * 成分标准 2015/09/18
	 * 
	 * @return
	 */
	public static MscChemDaoImp getChemDaoImp() {
		return chemDaoImp;
	}

	private static PhyDaoImp phyDaoImp = new IMscPhyDao();

	/**
	 * 理化标准
	 * 
	 * @return
	 */
	public static PhyDaoImp getPhyDaoImp() {
		return phyDaoImp;
	}

	private static MscDeteDaoImp deteDaoImp = new IMscDeteDao();

	/**
	 * 公差标准
	 * 
	 * @return
	 */
	public static MscDeteDaoImp getDeteDaoImp() {
		return deteDaoImp;
	}

	private static MscSpecDaoImp specDaoImp = new IMscSpecDao();

	/**
	 * 公差标准
	 * 
	 * @return
	 */
	public static MscSpecDaoImp getSpecDaoImp() {
		return specDaoImp;
	}

	private static JGplDaoImp jGplDaoImp = new IJGplDao();

	/**
	 * 接箍制程
	 * 
	 * @return
	 */
	public static JGplDaoImp getJGplDaoImp() {
		return jGplDaoImp;
	}

}
